Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 465281 - evince built without dbus support, breaks window size saving
Summary: evince built without dbus support, breaks window size saving
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F10DesktopTarget
TreeView+ depends on / blocked
 
Reported: 2008-10-02 15:26 UTC by Dan Winship
Modified: 2008-10-27 13:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-25 20:43:08 UTC


Attachments (Terms of Use)
patch to fix (deleted)
2008-10-14 19:01 UTC, Dan Winship
no flags Details | Diff

Description Dan Winship 2008-10-02 15:26:58 UTC
evince 2.24.0-1.fc10 got built without dbus support somehow:

checking for DBUS... 
no
configure: WARNING: DBUS support is disabled since dbus 0.70 or higher was not found

(from http://kojipkgs.fedoraproject.org/packages/evince/2.24.0/1.fc10/data/logs/i386/build.log)

It has dbus-devel listed as a BuildRequires, so I'm not sure what's wrong.


The most noticeable result of this is that evince no longer remembers window size/position/sidebar-state/etc between sessions. (I have no idea why that's dependent on dbus support, but it is.)

Comment 1 Dan Winship 2008-10-14 19:01:03 UTC
Created attachment 320342 [details]
patch to fix

it was requiring dbus-devel, but needs to be requiring dbus-glib-devel

Comment 2 Matthias Clasen 2008-10-25 04:50:22 UTC
Can you build this please, Dan ?

Comment 3 Matthias Clasen 2008-10-25 20:43:08 UTC
Nevermind, I've built it.

Comment 4 Dan Winship 2008-10-27 13:47:36 UTC
(i'd tried to just fix it myself before I attached the patch here, but ran into acl problems)


Note You need to log in before you can comment on or make changes to this bug.